projects
/
portage.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
e6a3801
)
Fix unpack so that it works with 7z archives for bug #135134. Thanks to Paul Bredbur...
author
Zac Medico
<zmedico@gentoo.org>
Thu, 1 Jun 2006 13:46:57 +0000
(13:46 -0000)
committer
Zac Medico
<zmedico@gentoo.org>
Thu, 1 Jun 2006 13:46:57 +0000
(13:46 -0000)
svn path=/main/trunk/; revision=3447
bin/ebuild.sh
patch
|
blob
|
history
diff --git
a/bin/ebuild.sh
b/bin/ebuild.sh
index bfe9e072df0ee0ac7ff099e2b6d2ded357e314d1..49cea8de88d299cf7485d42f1d0d7668fbbc2dfc 100755
(executable)
--- a/
bin/ebuild.sh
+++ b/
bin/ebuild.sh
@@
-399,6
+399,14
@@
unpack() {
bzip2 -dc "${srcdir}${x}" > ${x%.*} || die "$myfail"
fi
;;
+ 7Z|7z)
+ local my_output
+ my_output="$(7z x -y "${srcdir}/${x}")"
+ if [ $? -ne 0 ]; then
+ echo "${my_output}" >&2
+ die "$myfail"
+ fi
+ ;;
RAR|rar)
unrar x -idq "${srcdir}/${x}" || die "$myfail"
;;